<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:tools="http://schemas.android.com/tools"
    android:gravity="center_vertical"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="420dp"
        android:layout_height="370dp"
        android:layout_gravity="center"
        android:background="@drawable/bg_shu_ru_kuang"
        android:orientation="vertical"
        android:paddingLeft="40dp"
        android:paddingRight="40dp"
        android:paddingBottom="20dp">

        <TextView
                android:ellipsize="end"
                android:maxLines="1"
            android:layout_width="380dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="12dp"
            android:gravity="center"
            android:text="请将标签粘贴在化学品外包装上"
            android:textColor="@color/black"
            android:textSize="12sp" />

        <TextView
                android:ellipsize="end"
                android:maxLines="1"
            android:id="@+id/chemicalName"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:textColor="@color/black"
            android:textSize="15sp" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <TextView
                android:ellipsize="end"
                android:maxLines="1"
                android:id="@+id/density"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="10dp"
                android:textSize="12sp"
                android:textColor="@color/purple_666666" />

            <RelativeLayout
                android:id="@+id/rbView"
                android:layout_width="65dp"
                android:layout_height="25dp"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:background="@drawable/bg_shu_ru_kuang_twoe"
                android:layout_marginLeft="4dp">

                <Spinner
                    android:id="@+id/sPinner"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_centerVertical="true"
                    android:background="@null"
                    android:layout_marginLeft="1dp"
                    android:layout_marginRight="1dp"
                    android:layout_marginBottom="1dp"
                    android:layout_marginTop="1dp"
                    android:textColor="@color/black" />

                <ImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:background="@mipmap/icon_kzjc_zk" />

            </RelativeLayout>

            <TextView
                android:ellipsize="end"
                android:maxLines="1"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:textColor="@color/black"
                android:textSize="12sp"
                android:layout_toLeftOf="@+id/rbView"
                android:text="柜层" />
        </RelativeLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginTop="10dp"
            android:background="@color/purple_A2A2A2" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:layout_marginTop="8dp"
            android:background="@drawable/bg_bei_ji"
            android:gravity="center_vertical">
            <TextView
                android:ellipsize="end"
                android:maxLines="1"
                android:layout_width="40dp"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:textColor="@color/black"
                android:textSize="16sp" />

            <TextView
                android:ellipsize="end"
                android:maxLines="1"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="编号"
                android:textSize="12sp"
                android:textColor="@color/black" />

            <TextView
                android:ellipsize="end"
                android:maxLines="1"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="RFID编号"
                android:textSize="12sp"
                android:textColor="@color/black"/>

            <TextView
                android:ellipsize="end"
                android:maxLines="1"
                android:layout_width="40dp"
                android:layout_height="wrap_content"
                android:textSize="12sp"
                android:text="删除"
                android:textColor="@color/black" />

        </LinearLayout>

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rvView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            tools:listitem="@layout/label_dialog_rv"
            android:layout_marginTop="8dp" />


    </LinearLayout>

    <LinearLayout
        android:layout_width="wrap_content"
        android:layout_height="70px"
        android:layout_gravity="center"
        android:layout_marginTop="18dp"
        android:orientation="horizontal">

        <Button
            android:id="@+id/butClos"
            android:layout_width="110dp"
            android:layout_height="32dp"
            android:layout_marginRight="19dp"
            android:background="@drawable/bg_closes"
            android:text="关闭" />

        <Button
            android:id="@+id/determine"
            android:layout_width="110dp"
            android:layout_height="32dp"
            android:layout_marginLeft="19dp"
            android:textColor="@color/white"
            android:background="@drawable/bg_quan_xin_twoe"
            android:text="确定" />
    </LinearLayout>

</LinearLayout>